#
# spec file for package perl-Data-Validate-IP
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# 
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-Data-Validate-IP
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Data::Validate::IP
Version:        0.30
Release:        3.1
License:        Artistic License
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/IO/
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
Requires:  perl = %{perl_version}

%description
 %{cpan_name} module for perl


%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README.md
%{_mandir}/man3/Data::Validate::IP.3pm*
%dir %{perl_vendorlib}/Data
%dir %{perl_vendorlib}/Data/Validate
%{perl_vendorlib}/Data/Validate/IP.pm

%changelog
* Thu Jul  8 2021 Local OBS User <cs@linux-administrator.com>
- initial build version 0.30
